[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolution.Reference

Reference to the widgetset image list using this resolution.

## Declaration

Source position: imglist.pp line 181

`public property TCustomImageListResolution.Reference : TWSCustomImageListReference read GetReference;`

## Description

Reference is a read-only TWSCustomImageListReference property that represents the reference class for an image list implementation in the current widgetset. Reading the value in the property causes the reference class for the resolution to be created if it has not already been allocated.

Reference is used get access to the handle for the image list used in the resolution. The handle is a required argument in TWSCustomImageListResolutionClass methods.

## See also

TCustomImageListResolution.Reference |  | Reference to the widgetset image list using this resolution.